package org.diagbot;

import org.diagbot.bigdata.common.ApplicationCacheUtil;
import org.diagbot.bigdata.work.ParamsDataProxy;
import org.diagbot.common.work.SearchData;
import org.diagbot.nlp.participle.ParticipleUtil;
import org.diagbot.nlp.participle.cfg.Configuration;
import org.diagbot.nlp.participle.cfg.DefaultConfig;
import org.diagbot.nlp.participle.word.Lexeme;
import org.diagbot.nlp.participle.word.LexemePath;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @Description:
 * @Author: HUJING
 * @Date: 2019/7/2 10:31
 */
public class AddStandWordTest {
    public static void main(String[] args) throws Exception {
//        Map<String, List<Map<String, String>>> kl_result_mapping_standword_map = ApplicationCacheUtil.getKl_result_mapping_standword_map();
//        Set<Map.Entry<String, List<Map<String, String>>>> entries = kl_result_mapping_standword_map.entrySet();
//        for (Map.Entry<String, List<Map<String, String>>> entry:entries) {
//            System.out.println(entry.getKey() + "\t"+ entry.getValue());
//        }
//        Configuration configuration = new DefaultConfig();
        ParticipleUtil util = new ParticipleUtil();
//        List<String> fileContents = configuration.readFileContents("kl_result_mapping_standword.dict");
//        for (String fileContent:fileContents) {
//            if (fileContent.contains(">=") || fileContent.contains("≥")
//                    || fileContent.contains(">") || fileContent.contains("大于")
//                    || fileContent.contains("＞") || fileContent.contains("超过")
//                    || fileContent.contains("<=") || fileContent.contains("≤")
//                    || fileContent.contains("<") || fileContent.contains("小于")
//                    || fileContent.contains("＜") || fileContent.contains("少于")){
//                String[] fileContentSplit = fileContent.split("<=|≤|<|小于|＜|少于|>=|≥|>|大于|＞|超过");
//                for (String s:fileContentSplit) {
//                    LexemePath<Lexeme> lexemes = util.participle(s);
//                    for (Lexeme lexeme:lexemes) {
//                        if (lexeme.getProperty().equals("2")) {
//                            System.out.println(lexeme.getText() + "\t" + lexeme.getProperty());
//                        }
//                    }
//                }
//            }
//        }
        ApplicationCacheUtil.getKl_result_mapping_standword_map();
        SearchData searchData = new SearchData();
        searchData.setSymptom("收缩压大于170mmHg,R 29次/分钟，额破格配好");
        LexemePath<Lexeme> data = util.participle(searchData.getSymptom());
        ParamsDataProxy paramsDataProxy = new ParamsDataProxy();

        paramsDataProxy.addStandWord(data,ApplicationCacheUtil.kl_result_mapping_standword_map,searchData);
    }

}
